'
' ==================================================================================================
'  This script installs the Theremino files into the Max/PD folders
' ==================================================================================================
Option Explicit
'
' -----------------------------------------------------------
Const COMMON_FILES = &H2B&
Const PROGRAM_FILES = &H26&

Dim Objshell
Dim oFSO
Dim objFolder
Dim objFolderItem

Dim strCurPath

Dim CommonFilesPath
Dim ProgramsPath

Dim strDestMax4_Externals
Dim strDestMax4_Init
Dim strDestMax4_Helps
Dim strDestMax5_Externals
Dim strDestMax5_Init
Dim strDestMax5_Helps

Set oFSO = Createobject("scripting.filesystemobject")
Set objShell  = CreateObject("Shell.Application")

strCurPath  = oFSO.GetAbsolutePathName(".")

Set objFolder = objShell.Namespace(COMMON_FILES)
Set objFolderItem = objFolder.Self
CommonFilesPath = objFolderItem.Path

Set objFolder = objShell.Namespace(PROGRAM_FILES)
Set objFolderItem = objFolder.Self
ProgramsPath = objFolderItem.Path


On Error Resume Next
' ----------------------------------------------------------------------- Max 4
strDestMax4_Externals  = CommonFilesPath & "\Cycling '74\externals"
strDestMax4_Init       = CommonFilesPath & "\Cycling '74\init"
strDestMax4_Helps      = CommonFilesPath & "\Cycling '74\java\help"

oFSO.CopyFile strCurPath & "\Theremino.mxe", strDestMax4_Externals & "\Theremino.mxe", TRUE
oFSO.CopyFile strCurPath & "\theremino-objectlist.txt", strDestMax4_Init & "\theremino-objectlist.txt", TRUE 
oFSO.CopyFile strCurPath & "\theremino.help", strDestMax4_Helps & "\theremino.help", TRUE 

' ----------------------------------------------------------------------- Max 4.6
strDestMax4_Externals  = ProgramsPath & "\Cycling '74\MaxMSP 4.6\Cycling '74\externals"
strDestMax4_Init       = ProgramsPath & "\Cycling '74\MaxMSP 4.6\Cycling '74\init"
strDestMax4_Helps      = ProgramsPath & "\Cycling '74\MaxMSP 4.6\Cycling '74\java\help"

oFSO.CopyFile strCurPath & "\Theremino.mxe", strDestMax4_Externals & "\Theremino.mxe", TRUE
oFSO.CopyFile strCurPath & "\theremino-objectlist.txt", strDestMax4_Init & "\theremino-objectlist.txt", TRUE 
oFSO.CopyFile strCurPath & "\theremino.help", strDestMax4_Helps & "\theremino.help", TRUE

' ----------------------------------------------------------------------- Max 5.0
strDestMax5_Externals  = ProgramsPath & "\Cycling '74\Max 5.0\Cycling '74\theremino-externals"
strDestMax5_Init       = ProgramsPath & "\Cycling '74\Max 5.0\Cycling '74\init"
strDestMax5_Helps      = ProgramsPath & "\Cycling '74\Max 5.0\Cycling '74\theremino-help"

oFSO.CreateFolder strDestMax5_Externals
oFSO.CreateFolder strDestMax5_Helps

oFSO.CopyFile strCurPath & "\Theremino.mxe", strDestMax5_Externals & "\Theremino.mxe", TRUE
oFSO.CopyFile strCurPath & "\theremino-objectlist.txt", strDestMax5_Init & "\theremino-objectlist.txt", TRUE 
oFSO.CopyFile strCurPath & "\theremino.maxhelp", strDestMax5_Helps & "\theremino.maxhelp", TRUE 

' ----------------------------------------------------------------------- Max 5.1
strDestMax5_Externals  = ProgramsPath & "\Cycling '74\Max 5.1\Cycling '74\theremino-externals"
strDestMax5_Init       = ProgramsPath & "\Cycling '74\Max 5.1\Cycling '74\init"
strDestMax5_Helps      = ProgramsPath & "\Cycling '74\Max 5.1\Cycling '74\theremino-help"

oFSO.CreateFolder strDestMax5_Externals
oFSO.CreateFolder strDestMax5_Helps

oFSO.CopyFile strCurPath & "\Theremino.mxe", strDestMax5_Externals & "\Theremino.mxe", TRUE
oFSO.CopyFile strCurPath & "\theremino-objectlist.txt", strDestMax5_Init & "\theremino-objectlist.txt", TRUE 
oFSO.CopyFile strCurPath & "\theremino.maxhelp", strDestMax5_Helps & "\theremino.maxhelp", TRUE 

' --------------------------------------------------------------------
On Error Goto 0


MsgBox "Installation OK", , "Theremino"
'
' ------------------------------------------------------------ END
WScript.Quit



